---
title: "gce/WARN/2021_003"
linkTitle: "WARN/2021_003"
weight: 1
type: docs
description: >
  GCE instance service account permissions for monitoring.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The service account used by GCE instance should have the monitoring.metricWriter
permission, otherwise, if you install the ops or monitoring agent, it won't be able
to send the metrics to Cloud Monitoring.

### Remediation

Make sure that you have the following role binding in the IAM policy:

- Principal: service account of the GCE instance
- Role: `roles/monitoring.metricWriter`

### Further information

- [Monitoring access
  control](https://cloud.google.com/monitoring/access-control)
