---
title: "gce/WARN/2021_004"
linkTitle: "WARN/2021_004"
weight: 1
type: docs
description: >
  Serial logs don't contain disk full messages
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The messages:
"No space left on device" / "I/O error" / "No usable temporary directory found"
in serial output usually indicate that the disk is full.

### Remediation

Delete some files or increase the size of the disk.

You can use the following log query to find matching log lines:

```
resource.type="gce_instance"
log_id("serialconsole.googleapis.com/serial_port_1_output")
(
  textPayload=~".*No space left on device.*"
  OR
  textPayload=~".*I/O error.*"
  OR
  textPayload=~".*No usable temporary directory found.*"
)
```


### Further information

- [Resizing a persistent disk](https://cloud.google.com/compute/docs/disks/working-with-persistent-disks#resize_pd)
