---
title: "gke/ERR/2021_006"
linkTitle: "ERR/2021_006"
weight: 1
type: docs
description: >
  GKE Autoscaler isn't reporting scaleup failures.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

If the GKE autoscaler reported a problem when trying to add nodes to a cluster,
it could mean that you don't have enough resources to accomodate for new nodes.
E.g. you might not have enough free IP addresses in the GKE cluster network.

### Remediation

You can use the following filter to find matching log lines:

```
resource.type="gce_instance"
log_id(cloudaudit.googleapis.com/activity)
severity=ERROR
protoPayload.methodName="v1.compute.instances.insert"
protoPayload.requestMetadata.callerSuppliedUserAgent="GCE Managed Instance Group for GKE"
```

### Further information

- [Troubleshooting Cluster
  Autoscaler](https://cloud.google.com/kubernetes-engine/docs/how-to/cluster-autoscaler#troubleshooting)
